from django.db import models


class BaseModel(models.Model):
    created_at = models.DateTimeField(blank=True, null=True, auto_now_add=True)
    updated_at = models.DateTimeField(blank=True, null=True, auto_now=True)
    active = models.BooleanField(default=True)

    class Meta:
        abstract = True


class MailingList(BaseModel):
    email = models.EmailField(max_length=254, blank=False, null=False)
